daemon daemon/portmap {
	need = system/mountroot
	require_network
	pid_file = /var/run/portmap.pid
	daemon {
		if [[ -f /etc/default/portmap ]]; then
		    source /etc/default/portmap	
		fi
		/sbin/pormap ${OPTIONS}

		# Sleep one second, so that pormap can fork, so we are getting the right pid.
		sleep 1
		echo `pidof portmap` > /var/run/portmap.pid
		exit 0
	}
}
